Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextRegion Class Reference
[Handlers]

Inheritance diagram for TextRegion:

## Detailed Description

Contains information about region mapping into textual prefix/suffix.

These mappings are stored in HRD files.

## Public Methods
| TextRegion (const String *_stext, const String *_etext, const String *_sback, const String *_eback)
| Initial constructor.
| TextRegion (const TextRegion &rd)
| Copy constructor.
void | assignParent (const RegionDefine *_parent)
| Assigns region define with it's parent values.
void | setValues (const RegionDefine *_rd)
| Direct assign of all passed `rd` values.
RegionDefine * | clone () const
## Static Public Methods
const TextRegion * | cast (const RegionDefine *rd)
| Static method, used to cast RegionDefine class into TextRegion class.
## Data Fields
const String * | stext
| Text wrapping information.
const String * | etext
| Text wrapping information.
const String * | sback
| Text wrapping information.
const String * | eback
| Text wrapping information.

## Constructor & Destructor Documentation

TextRegion::TextRegion | ( | const TextRegion & | rd | ) | `[inline]`

| Copy constructor. Clones all values including region reference.

## Member Function Documentation

const TextRegion* TextRegion::cast | ( | const RegionDefine * | rd | ) | `[inline, static]`

  | Static method, used to cast RegionDefine class into TextRegion class. Exceptions:
  Exception | If casing is not available.

void TextRegion::assignParent | ( | const RegionDefine * | _parent | ) | `[inline, virtual]`

| Assigns region define with it's parent values. All fields are to be replaced, if they are null-ed. Implements RegionDefine.

void TextRegion::setValues | ( | const RegionDefine * | _rd | ) | `[inline, virtual]`

| Direct assign of all passed `rd` values. Do not assign region reference. Implements RegionDefine.

## Field Documentation

const String* TextRegion::stext

| Text wrapping information. Pointers are managed externally.

const String * TextRegion::etext

| Text wrapping information. Pointers are managed externally.

const String * TextRegion::sback

| Text wrapping information. Pointers are managed externally.

const String * TextRegion::eback

| Text wrapping information. Pointers are managed externally.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:58 2003 by doxygen 1.3-rc2.